SmartMemory
POST
/memory/api-keys

Create a new API key for programmatic access.

The API key is only shown once and cannot be retrieved later. Store it securely.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request model for creating an API key

Response Body

application/json

application/json

curl -X POST "https://example.com/memory/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "key": "string",
  "key_id": "string",
  "name": "string",
  "scopes": [
    "string"
  ],
  "expires_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}